/*********************************************************************
 *                                                                   *
 *                     XGS : Apple IIGS Emulator                     *
 *                                                                   *
 *        Written and Copyright (C)1996 by Joshua M. Thompson        *
 *                                                                   *
 *  You are free to distribute this code for non-commercial purposes *
 * I ask only that you notify me of any changes you make to the code *
 *     Commercial use is prohibited without my written permission    *
 *                                                                   *
 *********************************************************************/

/*
 * File: main.c
 *
 * Sound initialization and core routines.
 */

#include <xgs.h>
#include "sound.h"

byte	*snd_docram;

int SND_init()
{
	printf("\nInitializing sound system\n");

	printf("    - Allocating Ensoniq DOC RAM (64 KB): ");
	if ((snd_docram = malloc(65536)) == NULL) {
		printf("Failed\n");
		return 1;
	}
	printf("Done\n");

	return 0;
}

void SND_update()
{
}

void SND_reset()
{
}

void SND_shutdown()
{
	printf("\nShutting down sound system\n");
}
